<p-toast></p-toast>


<p-dialog header="บันทึกสัญญา {{rooms}}" icon="pi pi-user" [(visible)]="displayshowroom" [modal]="true"
    [style]="{width: '25vw'}" [draggable]="false" [resizable]="false">
<label>
    <input type="file" class="text-nowrap text-truncate" (change)="selectFile($event)" label="เลือกไฟล์">
</label>
<button class="btn btn-success btn-sm" [disabled]="!selectedFiles" (click)="upload(rooms)">
    อัปโหลด
</button>
<div *ngIf="currentFileUpload" class="progress mt-2">
    <div class="progress-bar progress-bar-info" role="progressbar" attr.aria-valuenow="{{ percentage }}"
        aria-valuemin="0" aria-valuemax="100" [ngStyle]="{ width: percentage + '%' }">
        {{ percentage }}%
    </div>
</div>

</p-dialog>

<p-card  class="Repair" *ngFor="let Rooms of Roomlist" header="ห้อง{{Rooms}}"

[style]="{'width': '15rem', 'margin-bottom': '1em'}">

<button _ngcontent-dqy-c121=""  type="button"  label="text" class="p-element p-ripple p-button-text p-button-plain p-button p-component"  (click)="showRoom(Rooms)" ><span class="p-button-label">อัปโหลดสัญญาเช่า</span><span class="p-ink" style="height: 67px; width: 67px; top: -10.75px; left: 15.25px;"></span></button>

            <!-- <button type="button" icon="pi pi-times" (click)="confirm($event,Rooms)" class="p-element p-ripple p-button-rounded p-button-danger p-button-text p-button p-component p-button-icon-only"><span class="p-button-icon pi pi-times" aria-hidden="true"></span><span aria-hidden="true" class="p-button-label">&nbsp;</span><span class="p-ink" style="height: 42px; width: 42px; top: 2.75px; left: -3.5px;"></span></button> -->
    </p-card>